import request from '@/utils/request'

// 查询工资明细总列表
export function listSalaryReport(query) {
  return request({
    url: '/pay/salaryReport/list',
    method: 'get',
    params: query
  })
}

// 查询工资明细总详细
export function getSalaryReport(id) {
  return request({
    url: '/pay/salaryReport/' + id,
    method: 'get'
  })
}

// 新增工资明细总
export function addSalaryReport(data) {
  return request({
    url: '/pay/salaryReport',
    method: 'post',
    data: data
  })
}

// 修改工资明细总
export function updateSalaryReport(data) {
  return request({
    url: '/pay/salaryReport',
    method: 'put',
    data: data
  })
}

// 删除工资明细总
export function delSalaryReport(id) {
  return request({
    url: '/pay/salaryReport/' + id,
    method: 'delete'
  })
}
